%define api_version 1
%define lib_major   0
%define lib_name	%mklibname %{name}- %{api_version} %{lib_major}
%define develname %mklibname %{name}- %{api_version}  -d

Summary: Library used to monitor application startup
Name: startup-notification
Version: 0.12
Release: %mkrel 3
License: LGPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/
Source0: http://www.freedesktop.org/software/%name/releases/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libxcb-util-devel
BuildRequires: libx11-devel

%description
Startup-notification is a library used to monitor application startup.

%package -n %{lib_name}
Summary:	Library used to monitor application startup
Group:		%{group}
Provides:	lib%{name}-%{api_version} = %{version}-%{release}

%description -n %{lib_name}
Startup-notification is a library used to monitor application startup.

%package -n %develname
Summary:	Library used to monitor application startup
Group:		Development/Libraries
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:  	%mklibname %{name}- 1 0 -d

%description -n %develname
Startup-notification is a library used to monitor application startup.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root,-)
%doc ChangeLog 
%{_libdir}/*.so.*

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/*.so

%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Mar 12 2019 tex - 0.12-3pclos2019
- rebuild against updates

* Thu Oct 31 2013 billybot <billybot> 0.12-2pclos2013
- rebuild for updated xcb-utils

* Wed Jul 13 2011 Texstar <texstar at gmail.com> 0.12-1pclos2011
- 0.12

